Commit 1121b6fd authored by Jeremy Bicha's avatar Jeremy Bicha Committed by Boyuan Yang

Don't use debian/not-installed

parent a2e89477
AUTHORS
user/wp/readme.abw
user/wp/readme.txt
usr/share/abiword-3.0/readme.abw
usr/share/abiword-3.0/readme.txt
......@@ -4,4 +4,3 @@ usr/bin
usr/lib/*/abiword-*/plugins/*.so
usr/share/applications
usr/share/icons
usr/share/man/man1/abiword.1
usr/share/man/man1/abiword.1
usr/lib/*/*.la
usr/lib/*/abiword-3.0/plugins/*.la
usr/share/abiword-3.0/readme.*
usr/lib/*/libAiksaurus*.so
......@@ -8,17 +8,17 @@ include /usr/share/dpkg/pkg-info.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
# minimise needless linking
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
plugins := aiksaurus applix babelfish bmp clarisworks collab command docbook \
plugins := applix babelfish bmp clarisworks collab command docbook \
eml epub freetranslation garble gdict gimp google grammar hancom \
hrtext iscii kword latex loadbindings mht mif mswrite \
opendocument openwriter openxml opml ots paint passepartout pdb \
pdf presentation s5 sdw t602 urldict wikipedia wmf wml \
wordperfect wpg xslfo goffice
# plugin 'aiksaurus' disabled until aiksaurus is ported to gtk3
# plugin 'rsvg' deliberately not used due to build problems. Is it deprecated?
# plugin 'mathview' deliberately not used due to bug#785485
......@@ -82,8 +82,10 @@ override_dh_strip:
dh_strip --dbgsym-migration='abiword-dbg (<< 3.0.1-7~)'
override_dh_install:
find debian/tmp -name '*.la' -print -delete
dh_install
$(RM) -v debian/abiword/usr/lib/$(DEB_HOST_MULTIARCH)/abiword-*/plugins/grammar.*
# This needs to be installed by abiword-plugin-grammar only
$(RM) -v debian/abiword/usr/lib/*/abiword-*/plugins/grammar.*
override_dh_missing:
dh_missing --fail-missing
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment